Changes between Version 26 and Version 27 of Getting-Started/Windows


Ignore:
Timestamp:
May 17, 2012 8:54:55 AM (7 years ago)
Author:
ismangil
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Getting-Started/Windows

    v26 v27  
    1111== Build Preparation for Windows == 
    1212 
     13 
     14 1. [wiki:Getting-Started/Download-Source Get the source code], if you haven't already. 
    1315 1. '''It is important that you create a config_site.h as described in [wiki:Getting-Started/Build-Preparation Build Preparation]''' 
    14  2. [wiki:Getting-Started/Download-Source Get the source code], if you haven't already. 
     16   - Starting with version 2.0, for video support add this to your {{{config_site.h}}}: 
     17     {{{ 
     18     #define PJMEDIA_HAS_VIDEO  1 
     19     }}} 
     20 
    1521 
    1622== Requirements == 
     
    3440  Note: The new Platform SDK is still needed for Visual Studio 6, although VS6 comes with its own Platform SDK. The new Platform SDK is needed for Iphlpapi.[h|lib] for the new PJNATH library. 
    3541 
    36 The following components are needed for video: 
     42=== Video support === 
    3743 
     44==== Additional requirements ==== 
     45 
     46 1. !DirectShow SDK, included in Windows SDK. The minimum component required within the SDK is ''Windows Development Headers and Libraris'' and ''Samples''. As there are several versions of SDK we found they have different issues: 
     47   a. If you don't need Windows 7 features, the recommended SDK is [http://www.microsoft.com/downloads/en/details.aspx?FamilyID=ff6467e6-5bba-4bf5-b562-9199be864d29 Windows SDK Update for Windows Vista]. This is because it doesn't have [wiki:FAQ#vs2008 IP Helper API header bug]. 
     48   a. If you need Windows 7 features then use [http://www.microsoft.com/downloads/en/confirmation.aspx?FamilyID=6B6C21D2-2006-4AFA-9702-529FA782D63B Windows SDK for Windows 7 and .NET Framework 4] and follow the instructions on [wiki:FAQ#vs2008 fixing IP Helper API header bug]. Also if you are using Visual Studio 2005 then you will need to patch it using [http://support.microsoft.com/kb/949009/ MS Knowledge Base 949009] 
    3849 1. [http://www.libsdl.org/ SDL] '''version 1.3'''.  
    3950    - Note that this is the newer and not yet released SDL library, hence most likely it won't be installed by default on your system. You can download the source snapshot or from the Mercurial repository from http://www.libsdl.org/hg.php. 
    40  
     51    - SDL 1.3 comes with VS project settings, e.g: for VS2005 just open {{{VisualC\SDL_VS2005.sln}}} and build. 
    4152 1. [http://ffmpeg.org/ ffmpeg] development library. We tested with ffmpeg version ranging from 0.5.1 (from circa 2009) to 0.10.  
    4253    - Note that for H.264 support, you need newer releases (October 2011 onwards), and it needs libz too. 
    4354    - You may be able to use the binary distributions, we haven't tested them. 
    44     - Build with at least: 
     55    - Otherwise, get [http://www.mingw.org/wiki/MSYS MSYS|MinGW] for building libx264 and ffmpeg, and also its [http://www.mingw.org/wiki/InstallationHOWTOforMinGW gcc compiler suite]. Note: 
     56       - It is recommended to use gcc 4 or above to build ffmpeg. 
     57       - To avoid problems, put MSYS, libx264, and ffmpeg in folders that do not contain space, e.g: {{{C:\msys, C:\devlib\ffmpeg}}}. 
     58       - To use ffmpeg with VS, {{{inttypes.h}}} and {{{stdint.h}}} will be needed, check [http://ffmpeg.arrozcru.org/wiki/index.php?title=Inttypes.h here]. 
     59    - In MSYS, build with at least: 
    4560      {{{ 
    4661$ ./configure --enable-shared --disable-static --enable-memalign-hack 
     
    5065$ make && make install 
    5166      }}} 
    52  
    53  1. Optional for H.264: [http://www.videolan.org/developers/x264.html libx264]. We tested with the latest from git (as of October 2011): 
     67 1. Optional for H.264: [http://www.videolan.org/developers/x264.html libx264]. We tested with the latest from git (as of October 2011). In MSYS console: 
    5468     {{{ 
    5569$ ./configure --enable-static      # add options if needed, e.g: optimization, install dir, search path 
     
    5872 1. Optional: [http://qt.nokia.com/downloads/ Qt development SDK] for building the [#vidgui video GUI sample]. We tested with version 4.6 or later. 
    5973    - without this you can still enjoy video with pjsua console application 
     74 
     75==== Additional configuration ==== 
     76 1. Add include and library paths for the required components: 
     77    a. !DirectShow SDK 
     78    a. SDL 
     79    a. ffmpeg 
     80 1. Add these to your {{{config_site.h}}}: 
     81{{{ 
     82#define PJMEDIA_HAS_VIDEO               1 
     83#define PJMEDIA_HAS_FFMPEG              1 
     84#define PJMEDIA_VIDEO_DEV_HAS_SDL       1 
     85#define PJMEDIA_VIDEO_DEV_HAS_DSHOW     1 
     86}}} 
     87 
    6088 
    6189For the host, the following are required: 
     
    84112   4. Build the project. This will build all sample applications and all libraries needed. 
    85113   5. After successful build, the sample applications will be placed in pjsip-apps/bin/samples directory, and the libraries in lib directory under each projects. 
    86  
    87 == Video Support == 
    88  
    89 Please see '''[wiki:Video_Users_Guide Video User's Guide]''' for video requirements, build, and usage instructions for pjsip version 2.x. 
    90114 
    91115== Debugging Sample Applications == 
     
    131155   6. Link with system specific libraries such as: wsock32.lib, ws2_32.lib, ole32.lib, dsound.lib 
    132156    
    133   
    134 == Misc == 
    135 [wiki:Getting-Started/Windows/2.0-dev]